org.springframework.web.bind

## Class MissingRequestValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.servlet.ServletException
      - - org.springframework.web.util.NestedServletException
        - - org.springframework.web.bind.ServletRequestBindingException
          - - org.springframework.web.bind.MissingRequestValueException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MissingMatrixVariableException, MissingPathVariableException, MissingRequestCookieException, MissingRequestHeaderException, MissingServletRequestParameterException

      public class MissingRequestValueException
      extends ServletRequestBindingException

  Base class for `ServletRequestBindingException` exceptions that could not bind because the request value is required but is either missing or otherwise resolves to `null` after conversion.
  Since:
    5.3.6
  Author:
    Rossen Stoyanchev
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingRequestValueException(String msg)`
    `MissingRequestValueException(String msg, boolean missingAfterConversion)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMissingAfterConversion()` Whether the request value was present but converted to `null`, e.g.

    - ### Methods inherited from class org.springframework.web.util.NestedServletException

      `getMessage`

    - ### Methods inherited from class javax.servlet.ServletException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingRequestValueException

          public MissingRequestValueException(String msg)

    - #### MissingRequestValueException

          public MissingRequestValueException(String msg,
                                              boolean missingAfterConversion)

  - ### Method Detail

    - #### isMissingAfterConversion

          public boolean isMissingAfterConversion()

      Whether the request value was present but converted to `null`, e.g. via `org.springframework.core.convert.support.IdToEntityConverter`.